/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/drivers/wintel32/main/sgxmain.cpp

*/

#include "drivers/wintel32/device.hpp"
#include "sgx/core/core.hpp"
#include "sgx/main/main.hpp"

int main(int argc, char **argv) {
	SGX_UNUSED(argc);
	SGX_UNUSED(argv);
	
	return SGXMain();
}

int WINAPI WinMain(      
    HINSTANCE hInstance,
    HINSTANCE hPrevInstance,
    LPSTR lpCmdLine,
    int nCmdShow
	) {

	SGX_UNUSED(hInstance);
	SGX_UNUSED(hPrevInstance);
	SGX_UNUSED(lpCmdLine);
	SGX_UNUSED(nCmdShow);
	
	return SGXMain();
}

